//---------------------------------------------------------------------------
//
//  Module: winapp.h
//
//  Purpose:
//     Header file for WINAPP.C.
//
//  Development Team:
//     Bryan A. Woodruff
//
//  History:   Date       Author      Comment
//              6/ 5/93   BryanW      Wrote it.
//
//---------------------------------------------------------------------------
//
//               Copyright (c) 1993 Woodruff Software Systems.
//                          All Rights Reserved.
//
//---------------------------------------------------------------------------

#include <windows.h>

#include "resource.h"

// constant defintions

#define WM_NOTIFICATION  (WM_USER + 0x1000)

#define TEMPID              1023
#define DOSXFER_Device_Num  3
#define DOSXFER_Device_ID   (TEMPID * 32 + DOSXFER_Device_Num)

// data structures

typedef struct tagNOTIFYSTRUCT
{
   DWORD dwData ;
   DWORD dwTime ;

} NOTIFYSTRUCT, FAR *LPNOTIFYSTRUCT ;

// global defintions

extern HINSTANCE hInst ;

int FAR PASCAL WinMain( HINSTANCE, HINSTANCE, LPSTR, int ) ;
BOOL NEAR InitApplication( HINSTANCE ) ;
BOOL NEAR InitInstance( HINSTANCE, int ) ;
LRESULT FAR PASCAL MainWndProc( HWND, UINT, WPARAM, LPARAM ) ;
BOOL FAR PASCAL AboutDlgProc( HWND, UINT, WPARAM, LPARAM ) ;

BOOL NEAR EnableNotification( HWND ) ;
BOOL NEAR GetDataFromDOSXFER( LPNOTIFYSTRUCT, DWORD ) ;
BOOL NEAR DisableNotification( VOID ) ;

//---------------------------------------------------------------------------
//  End of File: winapp.h
//---------------------------------------------------------------------------

