        page    60, 132

;******************************************************************************
	title	VDDVGA - various VxD service thunks for 'C'
;******************************************************************************
;
;   (C) Copyright Woodruff Software Systems, 1993
;
;   Title:    VDDVGA - various VxD service thunks for 'C'
;
;   Module:   VXDTHUNK.ASM
;
;   Version:  1.00
;
;   Date:     April 12, 1993
;
;   Author:   Bryan A. Woodruff
;
;******************************************************************************
;
;   Change log:
;
;   DATE      REVISION  DESCRIPTION                                 AUTHOR
;   --------  --------	------------------------------------------  -----------
;    4/12/93  1.00      Wrote it.                                   BryanW
;
;******************************************************************************
;
;   Functional Description:
;
;      Thunks for various VxD services for 'C' callers.
;
;******************************************************************************

        .386p

;==============================================================================
;                     I N C L U D E S   &   E Q U A T E S
;==============================================================================

.xlist
	INCLUDE VMM.INC

	INCLUDE VDD2.INC
	INCLUDE DEBUG.INC

.list

;==============================================================================
;                       P A G E A B L E   C O D E
;==============================================================================

VXD_CODE_SEG

;------------------------------------------------------------------------------
;
;   UINT PASCAL VDD2_GetVersion( VOID )
;
;   DESCRIPTION:
;      Returns the version of VDD2 or -1 if failure.
;
;   PARAMETERS:
;      Nothing.
;
;   RETURN VALUE:
;      UINT
;         VDD2 version, or -1 on failure
;
;------------------------------------------------------------------------------

BeginProc VDD2_GetVersion, PUBLIC

        VxDCall VDD2_Get_Version
        jnc     SHORT VGV_Exit
        mov     eax, -1

VGV_Exit:
        ret

EndProc VDD2_GetVersion

VXD_CODE_ENDS

end

