.386p

?PLM=0
?WIN=1

	include cmacros.inc
	include	win_ipc.inc

	extrn	PostMessage:far
	extrn	SendMessage:far

	createSeg _TEXT, CodeSeg, word, use16, CODE
	createSeg _DATA, DataSeg, word, use16, DATA

assumes CS,CODE
assumes DS,DATA


sBegin   DATA

staticW		MainWnd		?
staticD		WinIpcAddr	?
staticD		VmHdl		?

NUM_MSG	EQU	20
MsgData		VXDMSG	NUM_MSG dup (<>)

sEnd    DATA


sBegin   CODE
	public	_dMsgProc


; unsigned PostMessage (word hWnd,word uMsg,word wParam,long lParam)
;                            eCH       eCL       eAL         eDX
_dMsgProc  proc far


	push	si
	push	ds
	push	bp
	push	0
	mov	bp, sp

	push	ax
	push	cx
	mov	ax, _DATA
	mov	ds, ax
	mov	cx, NUM_MSG
	mov	si, offset _DATA:MsgData

mp10:	mov	ax, 0FFFFh
	xchg	ds:[si.InUse], ax
	cmp	ax, 0
	je	short mp20
	add	si, size VXDMSG
	loop	mp10
	pop	cx
	pop	ax
	jmp	short mp30

mp20:	pop	cx
	pop	ax
	mov	dword ptr ds:[si.mWnd], ecx
	mov	dword ptr ds:[si.mwParam], eax
	mov	ds:[si.mlParam], edx
	mov	ds:[si.mEDI], ebx

	push	ds:[MainWnd]
	push	MSG_WIN_IPC
	push	0
	push	ds
	push	si

	call	PostMessage

mp30:	add	sp, 2
	pop	bp
	pop	ds
	pop	si

	ret

_dMsgProc  endp

cProc   dRegisterWin, <PUBLIC, NEAR>
parmW	whWnd
cBegin

	push	di
	push	es
	mov	di, 0
	mov	es, di
	mov	ax, 1684h
	mov	bx, WIN_IPC_ID
	int	2Fh
	mov	word ptr [WinIpcAddr], di
	mov	word ptr [WinIpcAddr+2], es
	mov	ax, es
	or	ax, di
	pop	es
	pop	di
	cmp	ax, 0
	je	short Err			; ax == 0

	mov	ax, whWnd
	mov	[MainWnd], ax

	mov	dx, offset _TEXT:_dMsgProc
	shl	edx, 16
	mov	dx, cs

	CallVxd _MSG_REGISTER, ax, edx
	mov	[VmHdl], edx

Err:	

cEnd

; unsigned PostMsg (unsigned uMsg,long lParam1,long lParam2)
cProc   dPostMsg, <PUBLIC, NEAR>
parmW	uMsg
parmD	lP1
parmD	lP2
cBegin

	CallVxd uMsg,lP1,lP2

cend


; void dSetWinFile (BYTE _far *psFile)
cProc   dSetWinFile, <PUBLIC, NEAR>
parmD	psFile
cBegin

	CallVxd _MSG_SET_WIN_FILE, psFile, 0

cend

; void dSetFlags (unsigned uFlags)
cProc   dSetFlags, <PUBLIC, NEAR>
parmW	wFlagsVar
cBegin

	CallVxd _MSG_SET_FLAGS, wFlagsVar, 0

cend

; long QueryVmId (long lId)
cProc   dQueryVmId, <PUBLIC, NEAR>
parmD	lId
cBegin

	CallVxd MSG_QUERY_VM, lId, 0

	shl	eax, 16				; error in eah
	mov	ax, dx
	shr	edx, 16
	mov	dx, bx

cend

; void UnRegisterWin (void)
cProc   dUnRegisterWin, <PUBLIC, NEAR>
cBegin

	CallVxd _MSG_UNREGISTER, [VmHdl], 0

cend

; void dSetIgnoreWin (BYTE _far *psFile)
cProc   dSetIgnoreWin, <PUBLIC, NEAR>
parmD	psFile
cBegin

	CallVxd _MSG_SET_IGNORE_WIN, psFile, 0

cend

; void dSetTimeOut (int iTimeOut)
cProc   dSetTimeOut, <PUBLIC, NEAR>
parmW	iTimeOut
cBegin

	CallVxd _MSG_SET_TIME_OUT, iTimeOut, 0

cend

; void dShellEvent (long lVm)
cProc   dShellEvent, <PUBLIC, NEAR>
parmD	lVm
cBegin

	CallVxd _MSG_SHELL_EVENT, lVm, 0

cend

sEnd    CODE

	end
