        page    60, 132

;******************************************************************************
	title	VGLOBALD - Sample VxD demonstrating global V86 memory
;******************************************************************************
;
;   (C) Copyright Woodruff Software Systems, 1993
;
;   Title:    VGLOBALD - Global V86 memory hacking
;
;   Module:   CR3.ASM - Interface to CR3 for 'C'
;
;   Version:  1.00
;
;   Date:     June 13, 1993
;
;   Author:   Bryan A. Woodruff
;
;******************************************************************************
;
;   Change log:
;
;   DATE      REVISION  DESCRIPTION                                 AUTHOR
;   --------  --------	------------------------------------------  -----------
;    6/13/93  1.00      Wrote it.                                   BryanW
;
;******************************************************************************
;
;   Functional Description:
;
;      Provides a 'C' interface to the CR3 register
;
;******************************************************************************

        .386p

;==============================================================================
;                     I N C L U D E S   &   E Q U A T E S
;==============================================================================

        .XLIST
        INCLUDE VMM.Inc
        INCLUDE Debug.Inc
        .LIST


VxD_ICODE_SEG

BeginProc GetCR3, PUBLIC

        mov     eax, cr3
        ret

EndProc GetCR3

VxD_ICODE_ENDS

end
