//---------------------------------------------------------------------------
//
//  Module: vmemtrap.h
//
//  Purpose: Header file for vmemtrap.c
//
//  Development Team:
//     Bryan A. Woodruff
//
//  History:   Date       Author      Comment
//              3/ 9/93   BryanW      Wrote it.
//
//---------------------------------------------------------------------------
//
//               Copyright (c) 1993 Woodruff Software Systems.
//                          All Rights Reserved.
//
//---------------------------------------------------------------------------

// equates

#define VMEMTRAP_Major_Ver   0x01
#define VMEMTRAP_Minor_Ver   0x00
#define VMEMTRAP_Device_ID   (Undefined_Device_ID)

// macros

#define UNUSED_PARAM( x ) x = x ;

// structures

typedef struct tagVMCB
{
   DWORD  hPage ;

} VMCB, *PVMCB ;

// global data

extern WORD      gwHookedPage ;
extern UINT      guCBOffset ;
extern V86PHPROC pVMEMTRAP_PFault ;
extern DWORD     ghOwnerVM ;

// prototypes

BOOL CDECL VMEMTRAP_Sys_VM_Init( DWORD ) ;
BOOL CDECL VMEMTRAP_Device_Init( DWORD, PSTR, PCRS_32 ) ;
BOOL CDECL VMEMTRAP_Create_VM( DWORD, PCRS_32 ) ;
BOOL CDECL VMEMTRAP_Destroy_VM( DWORD ) ;
VOID CDECL VMEMTRAP_PFault( DWORD, UINT ) ;

//---------------------------------------------------------------------------
//  End of File: vmemtrap.h
//---------------------------------------------------------------------------
