//---------------------------------------------------------------------------
//
//  Module: vsimpled.h
//
//  Purpose: Header file for vsimpled.c
//
//  Development Team:
//     Bryan A. Woodruff
//
//  History:   Date       Author      Comment
//              3/ 9/93   BryanW      Wrote it.
//
//---------------------------------------------------------------------------
//
//               Copyright (c) 1993 Woodruff Software Systems.
//                          All Rights Reserved.
//
//---------------------------------------------------------------------------

// equates

#define VSIMPLED_Major_Ver   0x03
#define VSIMPLED_Minor_Ver   0x0A
#define VSIMPLED_Device_ID   (Undefined_Device_ID)

// macros

#define UNUSED_PARAM( x ) x = x ;

// prototypes

BOOL CDECL VSIMPLED_Sys_Critical_Init( DWORD, DWORD, PSTR, PCRS_32 ) ;
BOOL CDECL VSIMPLED_Device_Init( DWORD, PSTR, PCRS_32 ) ;
BOOL CDECL VSIMPLED_Create_VM( DWORD, PCRS_32 ) ;

//---------------------------------------------------------------------------
//  End of File: vsimpled.h
//---------------------------------------------------------------------------

